Create an ML Model Service
Create a new ML model service connection
POST
POST /v1/services/mlmodelServices
Create an ML Model Service
Create a new ML model service connection to a platform such as Mlflow, Sklearn, or SageMaker.Body Parameters
POST /v1/services/mlmodelServices
Returns
Returns the created ML model service object with all specified properties and system-generated fields.Response
Create or Update (PUT)
UsePUT /v1/services/mlmodelServices instead of POST to perform an upsert. If an ML model service with the same fullyQualifiedName already exists, it will be updated; otherwise, a new service is created. The request body is the same as POST.
PUT will not return a 409 conflict error if the entity already exists — it will update the existing entity instead.Bulk Create or Update (PUT)
UsePUT /v1/services/mlmodelServices/bulk to create or update multiple ML model services in a single request. The request body is an array of create request objects.